import 'package:get/get.dart';
import 'package:pull_to_refresh/pull_to_refresh.dart';

import '../../common/models/meeting_room_item.dart';

class HomeState {
  HomeState() {
    ///Initialize variables
  }

  final RefreshController refreshController = RefreshController(initialRefresh: false);

  /// 当前页码
  final RxInt pageIndex = 1.obs;

  /// 每页条数
  final RxInt pageSize = 10.obs;

  /// 会议列表
  final RxList<Items> meetingRooms = RxList([]);

  /// 会议列表总条数
 final RxInt total = 0.obs;

  /// 总页数
  final RxInt totalPage = 0.obs;

  /// 退出计时
  DateTime? currentBackPressTime;

}
